This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 219342 - Fedora Eclipse Bugzilla Plug-in Does Not Work With Bugzilla 2.22
Fedora Eclipse Bugzilla Plug-in Does Not Work With Bugzilla 2.22
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla (Show other bugs)
rawhide
All All
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 13:15 EST by Todd Flinders
Modified: 2013-04-02 00:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 10:23:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Flinders 2006-12-12 13:15:34 EST
Description of problem:  Fedora Eclipse Bugzilla plug-in does not work with
Bugzilla 2.22.


Version-Release number of selected component (if applicable):  Fedora Eclipse
0.2.3 (org.eclipse.team.bugzilla.feature 0.2.3)


How reproducible:  Always.


Steps to Reproduce:
1.  Add a Bugzilla 2.22 server.
2.  Attempt to query the Bugzilla 2.22 bug database.
3.
  
Actual results:
org.eclipse.team.bugzilla.BugzillaException: Error while parsing the XML string
org.eclipse.team.bugzilla.BugzillaException: Unrecognized bugzilla version: 2.22


Expected results:
The query should work.

Additional info:
org.eclipse.team.bugzilla.BugzillaException: Error while parsing the XML string
	at org.eclipse.team.bugzilla.xml.Parser.handleError(Parser.java:65)
	at org.eclipse.team.bugzilla.xml.Parser.parse(Parser.java:38)
	at
org.eclipse.team.bugzilla.operations.BugzillaOperations.getVersion(BugzillaOperations.java:85)
	at
org.eclipse.team.bugzilla.operations.BugzillaOperations.getOperations(BugzillaOperations.java:45)
	at
org.eclipse.team.bugzilla.operations.CachedOperations.getOperations(CachedOperations.java:93)
	at
org.eclipse.team.bugzilla.operations.CachedOperations.getQueryData(CachedOperations.java:58)
	at org.eclipse.team.bugzilla.datatypes.DataCache.refreshQuery(DataCache.java:191)
	at org.eclipse.team.bugzilla.model.BugzillaQuery.refresh(BugzillaQuery.java:80)
	at
org.eclipse.team.bugzilla.operations.RefreshOperation.fetch(RefreshOperation.java:159)
	at
org.eclipse.team.bugzilla.operations.RefreshOperation.fetchElement(RefreshOperation.java:137)
	at
org.eclipse.team.bugzilla.operations.RefreshOperation.run(RefreshOperation.java:122)
	at
org.eclipse.team.bugzilla.view.DelayedRefreshPresenter.doDispatchEvents(DelayedRefreshPresenter.java:66)
	at
org.eclipse.team.internal.core.BackgroundEventHandler.dispatchEvents(BackgroundEventHandler.java:354)
	at
org.eclipse.team.internal.core.BackgroundEventHandler.processEvents(BackgroundEventHandler.java:334)
	at
org.eclipse.team.internal.core.BackgroundEventHandler$1.run(BackgroundEventHandler.java:173)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
org.eclipse.team.bugzilla.BugzillaException[102]:
org.eclipse.team.bugzilla.BugzillaException: Unrecognized bugzilla version: 2.22
	at
org.eclipse.team.bugzilla.xml.VersionHandler.startElement(VersionHandler.java:51)
	at
com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.startElement(Unknown
Source)
	at
com.sun.org.apache.xerces.internal.impl.dtd.XMLDTDValidator.startElement(Unknown
Source)
	at
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanStartElement(Unknown
Source)
	at
com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl$ContentDispatcher.scanRootElementHook(Unknown
Source)
	at
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown
Source)
	at
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown
Source)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown
Source)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown
Source)
	at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(Unknown
Source)
	at javax.xml.parsers.SAXParser.parse(Unknown Source)
	at org.eclipse.team.bugzilla.xml.Parser.parse(Parser.java:36)
	at
org.eclipse.team.bugzilla.operations.BugzillaOperations.getVersion(BugzillaOperations.java:85)
	at
org.eclipse.team.bugzilla.operations.BugzillaOperations.getOperations(BugzillaOperations.java:45)
	at
org.eclipse.team.bugzilla.operations.CachedOperations.getOperations(CachedOperations.java:93)
	at
org.eclipse.team.bugzilla.operations.CachedOperations.getQueryData(CachedOperations.java:58)
	at org.eclipse.team.bugzilla.datatypes.DataCache.refreshQuery(DataCache.java:191)
	at org.eclipse.team.bugzilla.model.BugzillaQuery.refresh(BugzillaQuery.java:80)
	at
org.eclipse.team.bugzilla.operations.RefreshOperation.fetch(RefreshOperation.java:159)
	at
org.eclipse.team.bugzilla.operations.RefreshOperation.fetchElement(RefreshOperation.java:137)
	at
org.eclipse.team.bugzilla.operations.RefreshOperation.run(RefreshOperation.java:122)
	at
org.eclipse.team.bugzilla.view.DelayedRefreshPresenter.doDispatchEvents(DelayedRefreshPresenter.java:66)
	at
org.eclipse.team.internal.core.BackgroundEventHandler.dispatchEvents(BackgroundEventHandler.java:354)
	at
org.eclipse.team.internal.core.BackgroundEventHandler.processEvents(BackgroundEventHandler.java:334)
	at
org.eclipse.team.internal.core.BackgroundEventHandler$1.run(BackgroundEventHandler.java:173)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
Comment 1 Red Hat Bugzilla 2007-09-11 00:05:52 EDT
User klee@redhat.com's account has been closed
Comment 2 Andrew Overholt 2007-09-11 10:23:04 EDT
We are now shipping Mylyn which obsoletes the old bugzilla plugin.  Please open
a request at bugs.eclipse.org against Mylyn if this issue persists.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.